# Environment

Make sure you've set up the database before you do this. This project uses PostgreSQL with Diesel on the backend.

I use [localtunnel](https://github.com/localtunnel/localtunnel) for my local development environment. You'll need to set up a Telegram bot using BotFather, and take the following steps:

* Change the `bot-username` prop on the `LoginWidget` tag within `BrandBar.vue` to the username of the bot you set up with BotFather.
* Send the command `/setdomain` to BotFather, and select the bot you set up previously.
* Run localtunnel with `lt --port 5173`.
* Send the domain provided by localtunnel to BotFather.

After these steps have been completed, you will be able to authenticate with Telegram via stored sessions.

# Vue 3 + TypeScript + Vite

This template should help get you started developing with Vue 3 and TypeScript in Vite. The template uses Vue 3 `<script setup>` SFCs, check out the [script setup docs](https://v3.vuejs.org/api/sfc-script-setup.html#sfc-script-setup) to learn more.

Learn more about the recommended Project Setup and IDE Support in the [Vue Docs TypeScript Guide](https://vuejs.org/guide/typescript/overview.html#project-setup).
