import { defineStore } from 'pinia';

export const useFilterStore = defineStore('filter', {
    state: () => ({
        minPositiveVotes: undefined as number | undefined,
        minVotes: undefined as number | undefined
    }),
    actions: {
        filterByMinEquity(votes: number) {
            this.minPositiveVotes = votes;
        },
        filterByTotalVotes(votes: number) {
            this.minVotes = votes;
        }
    }
})