export interface User {
    session_id: string
    auth_date: number
    username: string
    first_name: string
    last_name: string
    photo_url: string
}

export interface AuthenticateRequest {
    user_id: number
    auth_date: number
    username?: string
    first_name: string
    last_name?: string
    photo_url?: string
}

export interface AuthenticateResponse {
    session_id: string
}

export interface GetUsernameResponse {
    username: string;
}