export interface Comment {
    id: number;
    content: string;
    parent: number;
    children?: Comment[];
    telegram_handle: string;
    created_at: number;
}

export interface CommentWithChildren {
    comment: Comment;
    children: CommentWithChildren[];
}

export interface GetCommentsResponse {
    comments: CommentWithChildren[];
}